<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
{
   Schema::create('users', function (Blueprint $table) {
    $table->id();

    $table->unsignedBigInteger('role_id'); // ❌ JANGAN nullable
    $table->unsignedBigInteger('instansi_id')->nullable();
    $table->unsignedBigInteger('divisi_id')->nullable();

    $table->string('name');
    $table->string('email')->unique();
    $table->timestamp('email_verified_at')->nullable();
    $table->string('password');
    $table->rememberToken();
    $table->timestamps();

    $table->foreign('role_id')->references('id')->on('roles');
    $table->foreign('instansi_id')->references('id')->on('instansis')->onDelete('cascade');
    $table->foreign('divisi_id')->references('id')->on('divisis')->onDelete('cascade');
});

}

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
